package com.covas.Entity;

import java.time.LocalDateTime;
import java.util.Collection;

import io.quarkus.mongodb.panache.PanacheMongoEntity;
import io.quarkus.mongodb.panache.common.MongoEntity;

@MongoEntity(collection="friend")
public class FriendEntity extends PanacheMongoEntity {

    public String owner;

    public Collection<String> friends;
    public Short status;

    public LocalDateTime created_at;
    public LocalDateTime updated_at;
    public LocalDateTime deleted_at;
}
